#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCvtimer.h>
extern WSCvtimer* newvtim_002;
#include <WSCvlabel.h>
extern WSCvlabel* newvlab_001;
void btnop(WSCbase* object){
  //do something...
  if ((WSCbool)newvtim_002->getProperty(WSNrunning) == 0){
    newvtim_002->setProperty(WSNrunning,True);  
    newvlab_001->setProperty(WSNlabelString,"start");
  }else{
    newvtim_002->setProperty(WSNrunning,False);  
    newvlab_001->setProperty(WSNlabelString,"stop");
  }
}
static WSCfunctionRegister  op("btnop",(void*)btnop);
